# Generated by Django 4.2.11 on 2025-03-04 16:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='LoginEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('login_type', models.SmallIntegerField(choices=[(0, 'Login'), (1, 'Logout'), (2, 'Failed login')], verbose_name='Event type')),
                ('username', models.CharField(blank=True, default='', max_length=255, verbose_name='Username')),
                ('remote_ip', models.CharField(db_index=True, default='', max_length=50, verbose_name='Remote IP')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Date time')),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'login event',
                'verbose_name_plural': 'login events',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='CRUDEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_type', models.SmallIntegerField(choices=[(1, 'Create'), (2, 'Update'), (3, 'Delete'), (4, 'Many-to-Many Change'), (5, 'Reverse Many-to-Many Change'), (6, 'Many-to-Many Add'), (7, 'Reverse Many-to-Many Add'), (8, 'Many-to-Many Remove'), (9, 'Reverse Many-to-Many Remove'), (10, 'Many-to-Many Clear'), (11, 'Reverse Many-to-Many Clear')], verbose_name='Event type')),
                ('object_id', models.CharField(max_length=255, verbose_name='Object ID')),
                ('object_repr', models.TextField(blank=True, default='', verbose_name='Object representation')),
                ('object_json_repr', models.TextField(blank=True, default='', verbose_name='Object JSON representation')),
                ('changed_fields', models.TextField(blank=True, default='', verbose_name='Changed fields')),
                ('user_pk_as_string', models.CharField(blank=True, default='', help_text='String version of the user pk', max_length=255, verbose_name='User PK as string')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Date time')),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'CRUD event',
                'verbose_name_plural': 'CRUD events',
                'ordering': ['-created_at'],
                'indexes': [models.Index(fields=['object_id'], name='easyaudit_c_object__a12edd_idx')],
            },
        ),
    ]
